.image-container {
    position: relative;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
}

.image-slide-container {
    position: relative;
    height: 100%;
}

.image-wrapper {
    height: 100%;
    transition: transform 0.5s ease;
}

.image-wrapper-no-transition {
    height: 100%;
}

.image-slide {
    width: 100%;
    height: 100vh;
    object-fit: cover;
}

.image-box {
    position: absolute;
    top: 40vh;
    left: 15%;
    max-width: 60%;
    padding-bottom: 5vh;
}

.image-box-ani {
    animation: fadeIn 0.8s ease-in-out;
}

.top-overlay, .bottom-overlay {
    position: absolute;
    width: 100%;
    background: linear-gradient(to top, #ffffff85, #ecf6febf);
    z-index: 10;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.top-overlay {
    height: 40vh;
    top: 0;
    border-radius: 0 0 50% 50%;
    box-shadow: 5px 5px 5px #00000014;
}

.top-overlay > .info {
    display: flex;
    align-items: flex-end;
    position: absolute;
    bottom: 40px;
}

.bottom-overlay {
    font-size: 3vh;
    color: #bfbfbf;
    height: 10%;
    bottom: 0;
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0.7), #ffffff);
}

.bottom-overlay > .artistic-text {
    color: #767575;
    font-family: 'Dancing Script', cursive;
}

.bottom-overlay > .info {
    font-size: 60%;
}

.bottom-overlay > div > .logo {
    background-color: white;
    padding: 0 5px;
    border-radius: 30px;
}
.bottom-overlay > div > .logo > img {
    height: 2vh;
}

.site-name {
    position: absolute;
    bottom: 0;
    height: 70%;
    min-height: 200px;
    color: white; /* 使用霓虹藍色 */
    font-size: 4rem; /* 加大字體尺寸 */
    font-family: 'Orbitron', sans-serif; /* 使用科技風格字體（需要引入字體） */
    letter-spacing: 0.2rem; /* 加大字母間距 */
    cursor: default;
    text-shadow: 
        0 0 5px #00e5ff,
        0 0 10px #00e5ff,
        0 0 20px #00b8d4,
        0 0 30px #00b8d4,
        0 0 40px #0086c3,
        0 0 50px #0086c3,
        0 0 75px #005f75; /* 霓虹特效 */
}

.site-name-highlight {
    margin-right: 8px;
    text-shadow: 
        0 0 5px #ff6f00,
        0 0 10px #ff6f00,
        0 0 20px #ff3d00,
        0 0 30px #ff3d00,
        0 0 40px #ff3d00,
        0 0 50px #ff9100,
        0 0 75px #ff6f00; /* 突出 "e" 的霓虹特效 */
}

.indicator-container {
    position: absolute;
    top: 60%;
    left: 20px;
    transform: translateY(-50%);
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.indicator {
    width: 15px;
    height: 15px;
    border-radius: 50%;
    background-color: rgba(38, 50, 56, 0.5);
    transition: background-color 0.3s ease;
    cursor: pointer;
}

.login-box {
    position: relative;
    color: #444e53;
    border: 1px solid #a7a7a759;
    margin: 10px 15px 0 15px;
    background-color: #ffffffba;
    border-radius: 3px;
    padding: 0 10px;
    box-shadow: 3px 3px 5px #00e5ff3d;
}

.login-box > .ball {
    width: 10px;
    height: 10px;
    background-color: white;
    position: absolute;
    top: -2px;
    left: -3px;
    border-radius: 50%;
    box-shadow: 0 0 5px #00e5ff;
}

.login-btn {
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translate(-50%, 70%);
    box-shadow: 0px 5px 5px #0000002e;
    border: 5px solid white;
    font-family: "Parkinsans", sans-serif;
    width: 87px;
    height: 87px;
    font-size: 18px;
}

.index0-text {
    margin: 5vh 0 0 50px;
}

.index0-text > .icon {
    float: left;
    width: 10vh;
    height: 10vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #ffffffe8;
    border-radius: 50%;
    padding-top: 5px;
}

.index0-text > .text {
    margin-left: 20px;
    font-size: 2vh;
    line-height: 3vh;
}

.index0-text > .text > .title {
    font-size: 3vh;
    line-height: 4vh;
    font-weight: bolder;
}

.item {
    padding: 5vh 5vw 5vh 20px;
}

.index1 {
    margin: 5vh 0 0 4vw;
}

.index2 {
    background-color: #ffffff7a;
    border-radius: 10px;
    margin: 10vh 0 0 4vw;
}

.item > .text {
    margin-left: 15px;
    font-size: 3vh;
    line-height: 5vh;
}


.index2 > .text > span, .index2 > .title > span {
    background-color: #ffffff;
}

.item > .title {
    font-size: 4vh;
    line-height: 7vh;
    font-weight: bolder;
    display: flex;
    align-items: center;
}

.item > .title > .q-icon {
    margin-left: 10px;
}

.btn-list {
    position: absolute;
    bottom: calc(10% + 20px);
    right: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.register-btn {
    margin: 10px 0 0 0;
    z-index: 11;
}

.forgot-password {
    position: absolute;
    bottom: 0;
    right: 15px;
    transform: translate(0, 100%);
    font-size: 12px;
}

.q-tooltip {
    font-size: 14px;
}

.line-qr {
    position: absolute;
    z-index: 10;
    bottom: calc(10% + 10px);
    right: 10px;
    background-color: white;
    border-radius: 10px;
    padding: 15px 60px 15px 15px;
    border: 1px solid #979797;
}

.dbody {
    position: relative;
    max-height: 70vh;
    overflow-y: auto;
    padding: 0 40px;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@media (orientation: portrait) {
    .top-overlay {
        height: 50%;
        top: 0;
        border-radius: 0;
        box-shadow: none;
    }
    .top-overlay > .info {
        flex-direction: column;
        align-items: normal;
        bottom: 60px;
    }
    .bottom-overlay > .info {
        font-size: 70%;
    }
    .login-btn {
        transform: translate(-50%, 15%);
        width: 60px;
        height: 60px;
        font-size: 14px;
    }
    .site-name {
        font-size: 3rem;
        min-height: 300px;
    }
    .image-box {
        top: 50%;
        left: 50%;
        width: 100%;
        max-width: none;
        transform: translate(-50%, 0);
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    .indicator-container {
        display: none;
    }
    .index0-text {
        margin: 2vh 0 0 10px;
    }
    .index0-text > .icon {
        width: 10vw;
        height: 10vw;
    }
    .bottom-overlay {
        font-size: 4vw;
        height: 50px;
    }
    .bottom-overlay > div > .logo > img {
        width: 10vw;
        height: auto;
    }
    .index1 {
        margin: auto;
    }
    .index2 {
        margin: auto;
        border-radius: 0;
        height: 50vh;
    }
    .image-slide {
        object-position: 65% center;
    }
    .register-btn {
        z-index: 15;
        margin: 0 0 0 0;
        width: calc(100vw / 3);
        border-radius: 0;
        border: none;
        height: 30px;
        font-size: 12px;
    }
    .btn-list {
        flex-direction: row;
        width: 100vw;
        right: 0;
        bottom: 50px;
    }
}